package demo;

import org.eclipse.jface.action.GroupMarker;
import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.action.MenuManager;
import org.eclipse.ui.IWorkbenchActionConstants;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
import org.eclipse.ui.application.ActionBarAdvisor;
import org.eclipse.ui.application.IActionBarConfigurer;

/**
 * Creates, adds and disposes actions for the menus and action bars of each
 * workbench window.
 */
public class ApplicationActionBarAdvisor extends ActionBarAdvisor {

  private IWorkbenchAction exitAction;

  public ApplicationActionBarAdvisor( IActionBarConfigurer configurer ) {
    super( configurer );
  }

  protected void makeActions( IWorkbenchWindow window ) {
    exitAction = ActionFactory.QUIT.create( window );
    register( exitAction );
  }

  protected void fillMenuBar( IMenuManager menuBar ) {
    MenuManager fileMenu = new MenuManager( "&File",
                                            IWorkbenchActionConstants.M_FILE );
    menuBar.add( fileMenu );
    // Add a group marker indicating where action set menus will appear.
    menuBar.add( new GroupMarker( IWorkbenchActionConstants.MB_ADDITIONS ) );
    // File
    fileMenu.add( exitAction );
  }
}
